// Add prefix to css properties like transform , transition and ...
//
@mixin css3-prefix($prop, $value) {
   -webkit-#{$prop}: #{$value};
   -moz-#{$prop}: #{$value};
   -ms-#{$prop}: #{$value};
   -o-#{$prop}: #{$value};
   #{$prop}: #{$value};
}


// Add keyframe
//
@mixin keyframes($name) {
   @-webkit-keyframes #{$name} {
     @content;
   }
   @-moz-keyframes #{$name} {
     @content;
   }
   @keyframes #{$name} {
     @content;
   }
}


// Absolute Positioning
//
@mixin position($type, $top: null, $right: null, $bottom: null, $left: null) {
    position: $type;
    top: $top;
    right: $right;
    bottom: $bottom;
    left: $left;
}

// Opacity : fix ie8+ bug
//
@mixin opacity($opacity) {
  opacity: $opacity;
  $opacity-ie: $opacity * 100;
  filter: alpha(opacity = $opacity-ie); //fix for ie8+
}



// Flex Box Mixin with all conditions
//
@mixin flex($justflex:"false",$content:center,$direction:initial,$width:auto,$align:center) {
    display: flex;
    @if($justflex == "false") {
        align-items: $align;
        justify-content: $content ;
    }
    @if $direction != initial
    {
        flex-direction: $direction ;
    }
    @if $width != auto
    {
        width:$width ;
    }
}


// Typography : size , weight , lineheight and align
//
@mixin typography($size:14px,$weight:"false",$lineheight:"false" ,$align:right) {
    @if $size != "false"
    {
        font-size: $size;
    }
    @if $weight != "false"
    {
        font-weight: bold ;
    }
    @if $lineheight != "false"
    {
        line-height:$lineheight ;
    }
    @if $align != "false" {
        text-align: $align
    }
}



@mixin imageResize($width:100%) {
    width: $width ;
    height: auto
}


@mixin ElementBaseInfo ($float :none, $width :100% ,$height:100%) {
    float: $float;
    width: $width ;
    height:$height
}